<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
 xmlns:h="http://java.sun.com/jsf/html" xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
 xmlns:p="http://primefaces.org/ui" xmlns:pe="http://primefaces.org/ui/extensions" ng-app="myProject">

<head>
		<title>OUA Travel - bringing more to travel</title>
		<meta name="description" content="OUA Travel - bringing more to travel" />
		<meta name="keywords" content="OUA Travel - bringing more to travel" />
	<!-- <title>OUA Travel - bringing more to travel</title> -->
	<!-- <meta name="description" content="SATA is a full service travel agency with 9 branches located in Sharjah, Ajman and RAK. Six of our branches are IATA accredited and rests of the branches are in the process of attaining IATA accreditation. It is the only travel agency in the Emirate of Sharjah which is wholly owned by Government of Sharjah." /> -->
	<!-- <meta name="keywords" content="SATA, Sharjah Airport Travel Agency, Travel, Agency, Airport, Visa Service, IATA, Government of Sharjah, low-cost airlines" /> -->
	<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
	<link rel="shortcut icon" type="image/x-icon" href="app/images/favicon.ico" />
	<link rel="stylesheet" href="app/plugins/bootstrap/css/bootstrap.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="app/assets/fonts/font-awesome/css/font-awesome.min.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="app/plugins/jQuery-ui/jquery-ui.css" type="text/css" />
	<link href="app/assets/css/lobibox.css" rel="stylesheet" media="screen" />
	<link href="app/assets/css/custom.css" rel="stylesheet" media="screen" />
	<link href="app/assets/css/custom-new.css" rel="stylesheet" media="screen" />
	<link rel="stylesheet" type="text/css" href="app/plugins/rs-plugin/css/settings2.css" media="screen" />
	<link href="app/plugins/kGallery/kGallery.css" rel="stylesheet" />
	<link href="app/assets/css/editor.css" rel="stylesheet" />

	<script type="text/javascript" src="app/assets/angular/angular.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-resource.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-repeat-n.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-route.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-route-segment.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/checklist-model.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-cookies.js"></script>
	<script type="text/javascript" src="app/assets/angular/ng-tasty-tpls.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-touch.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/angular-sanitize.min.js"></script>
	<script type="text/javascript" src="app/assets/angular/ng-file-upload.js"></script>
	<script type="text/javascript" src="app/assets/angular/app.js"></script>

	<script type="text/javascript" src="app/assets/js/jquery.validate.min.js"></script>
	<script type="text/javascript" src="app/plugins/bootstrap/js/bootstrap.min.js"></script>
</head>

<body class="signin" onload='document.resetPasForm.password.focus();'>

	<section>
		<div class="signinpanel">

			<div class="row">

				<div class="col-md-12">
					<div class="signin-info">
						<div class="logopanel col-md-2 col-md-offset-5">
							<h2>
								<img src="images/logo.png" alt="logo" />
							</h2>
						</div>
						<!-- logopanel -->
						<div class="mb20"></div>
					</div>
				</div>
				<div class="col-md-4 col-md-offset-4">

					<div class="error-message" style="color:red; text-align:center; padding:5px; display:none;"></div>
					<div class="success-message" style="color:green; text-align:center; padding:5px; display:none;"></div>

					<form name="resetPasForm" id="resetPasForm">
						<div class="form-group">
							<h4 class="nomargin ftitle" style="color: red; margin-bottom:27px; width:80%; float:left;">Reset password</h4>
						</div>
						<div class="col-sm-12 pad0">
							<div class="form-group">
								<label class="control-label"><span class="star">Password</span></label>
								<div class="input-group col-sm-12">
									<input type="password" name="password" value="" id="password" class="form-control pword" placeholder="Password"
									 autocomplete="off" />
								</div>
							</div>
						</div>
						<div class="col-sm-12 pad0">
							<div class="form-group">
								<label class="control-label"><span class="star">Confirm Password</span></label>
								<div class="input-group col-sm-12">
									<input type="password" name="password_again" value="" id="password_again" class="form-control pword"
									 placeholder="Type password again" />
								</div>
							</div>
						</div>
						<div class="col-md-12 pad0">
							<div class="col-md-6" style="padding-left: 0;">
								<button onclick="changePassword();" type="button" id="resetBtn" name="resetBtn" class="btn custom-btn">Reset</button>
							</div>
							<div class="col-md-6" style="padding-right: 0;">
								<button type="reset" id="clearBtn" name="resetBtn" class="btn custom-btn">Clear</button>

							</div>
							<div class="sign-in">
								<a onclick="homePage()" class="nomargin slink">Return to
									Sign In<span class="fa fa-rotate-left"></span></a>
							</div>
						</div>
					</form>
				</div>

				<div class="clear"></div>

			</div>
			<div class="col-md-12 mt20">
				<div class="signup-footer col-md-5 col-md-offset-4">
					<div class="pull-left">Copyright Ⓒ 2018 by <a href="#" style="color: red;">OUA Travel</a>. All Rights Reserved.</div>
				</div>
			</div>

		</div>
	</section>
	<style>
		.sign-in {
			cursor: pointer;
			margin-top: 72px;
			margin-left: 239px;
		}

		#resetPasForm {
			margin-left: 26px;
			float: left;
			width: 90%;
		}

		#resetBtn {
			margin-left: 2px;
		}

		#clearBtn {
			float: right;
			margin-top: -1px;
			cursor: pointer;
		}

		.custom-btn {
			color: #fff;
			padding: 13px 25px;
			font-size: 13px;
			text-transform: uppercase;
			font-weight: 600;
			background: black;
			border-radius: 3px;
			position: relative;
			box-shadow: none;
			display: inline-block;
			-webkit-transition: all 0.4s ease;
			-moz-transition: all 0.4s ease;
			transition: all 0.4s ease;
			-webkit-transform: perspective(1px) translateZ(0);
			transform: perspective(1px) translateZ(0);
			border: none;
		}

		.custom-btn:hover {
			background: red;
			color: white;
		}

		.required {
			border: 1px solid red;
		}

		body {
			overflow: hidden !important;
		}

		input {
			padding-right: 30px !important;
		}

		.slink {
			font-size: 13px;
		}

		.slink:hover {
			text-decoration: underline;
		}

		.loading {
			position: relative;
			top: 13px;
			left: 113px;
		}

		.signinpanel form {
			background: rgba(255, 255, 255, 0.2) none repeat scroll 0 0;
			border: 1px solid #ccc;
			border-radius: 3px;
			box-shadow: 0 3px 0 rgba(12, 12, 12, 0.03);
			padding: 30px;
		}

		body {
			background-color: white !important;
		}

		.mb20 {
			margin-bottom: 20px;
		}

		.mt20 {
			margin-left: 33px;
			margin-top: 20px;
		}

		label.error:empty {
			display: none !important;
		}

		.pad0 {
			padding: 0;
		}

		.signinpanel .pword {
			background: #fff url("app/images/locked.png") no-repeat scroll 95% center;
		}

		span.star::after {
			color: red;
			content: "*";
		}
	</style>
	<script>
		var $validator = jQuery("#resetPasForm").validate({
			rules: {
				password: "required",
				password_again: {
					equalTo: "#password"
				}
			},
			highlight: function (element) {
				jQuery(element).closest('.form-group').removeClass('has-success').addClass('has-error');
			},
			success: function (element) {
				jQuery(element).closest('.form-group').removeClass('has-error');
			}
		});
		function changePassword() {
			var password = document.getElementById('password').value;
			var password_again = document.getElementById('password_again').value;
			var user_id = getUserId();
			var changePasReq = '{"loginid":"' + user_id + '","password":"' + password + '","confirmpassword": "' + password_again + '"}';
			var $valid = jQuery('#resetPasForm').valid();
			if (!$valid) {
				return false;
			} else {
				$('.loading').show();
				$.post("rest/password/change", changePasReq, function (result) {
					var resultData = JSON.parse(result);
					if (resultData.status == 'SUCCESS') {
						$('.loading').hide();
						$('.error-message').hide();
						$('.success-message').text(resultData.message).show();

						var user_name = user_id;
						var user_pass = $('#password_again').val();
						$.ajax({
							url: "rest/user/signin",
							data: '{ "userName" : "' + user_name + '", "password" : "' + user_pass + '"}',
							type: "POST",
							success: function (result) {
								var result = JSON.parse(result);
								if (result.status == "SUCCESS") {
									location.assign('index.jsf');
									return true;
								}
								else if (result.status == "FAILURE") {
									$('.error-message').text(result.errorMessage).show();
									return false;
								}
							},
							error: function (XMLHttpRequest, textStatus, errorThrown) {
								return false;
							}
						});
					} else {
						$('.loading').hide();
						$('.success-message').hide();
						$('.error-message').text(resultData.errorMessage).show();
					}
					$('#resetPasForm')[0].reset();
				});
			}
		}
		function getUserId() {
			var queryStr = location.search;
			var queryStrSplt = queryStr.split('=');
			var mailStrSplt = queryStrSplt[1];
			var umail = mailStrSplt.split('&amp;')[0];
			return umail;
		}
		function homePage() {
			sessionStorage.reset = 1;
			location.assign('index.jsf');
			//setTimeout(function(){ $( "#resetPassTrigger" ).trigger( "click" ); }, 3000);
		}
	</script>
</body>

</html>